Subject: Re: Official devcontainer config

From: Junwang Zhao <[email-masked]>
Date: Sun, 4 Aug 2024 10:07:40 +0800

On Sat, Aug 3, 2024 at 2:45 AM Peter Eisentraut <[email-masked]> wrote:
>
> On 01.08.24 23:38, Andrew Dunstan wrote:
> > Not totally opposed, and I will probably give it a try very soon, but
> > I'm wondering if this really needs to go in the core repo. We've
> > generally shied away from doing much in the way of editor / devenv
> > support, trying to be fairly agnostic. It's true we carry .dir-locals.el
> > and .editorconfig, so that's not entirely true, but those are really
> > just about supporting our indentation etc. standards.
>
> Yeah, the editor support in the tree ought to be minimal and factual,
> based on coding standards and widely recognized best practices, not a
> collection of one person's favorite aliases and scripts.  If the scripts
> are good, let's look at them and maybe put them under src/tools/ for
> everyone to use.  But a lot of this looks like it will requite active
> maintenance if output formats or node formats or build targets etc.
> change.  And other things require specific local paths.  That's fine for
> a local script or something, but not for a mainline tool that the
> community will need to maintain.

Yeah, personal favorite aliases and scripts are not good, that
also concerns me, I will delete those parts in future patches.

>
> I suggest to start with a very minimal configuration. What are the
> settings that absolute everyone will need, maybe to set indentation
> style or something.
>

Yeah, reasonable, I will discuss it with Andrey after he tries .devcontainer.

-- 
Regards
Junwang Zhao